summaryrefslogtreecommitdiff
path: root/bin/bootstrap
diff options
context:
space:
mode:
Diffstat (limited to 'bin/bootstrap')
-rwxr-xr-xbin/bootstrap100
1 files changed, 50 insertions, 50 deletions
diff --git a/bin/bootstrap b/bin/bootstrap
index dcb770c3507..2c6dd32de23 100755
--- a/bin/bootstrap
+++ b/bin/bootstrap
@@ -10,7 +10,7 @@
#
# -------------------------------------------------------------------------
-# Copyright (C) 1999 Ossama Othman
+# Copyright (C) 1999, 2002 Ossama Othman
#
# All Rights Reserved
#
@@ -122,60 +122,60 @@ if test -d m4; then
aclocal -I m4
# Generate a `config.h.in' configuration header template from `acconfig.h'.
- echo 'Running autoheader (expect some "AC_TRY_RUN" warnings)'
- autoheader
+ echo Running autoheader
+ autoheader -I m4
# Generate the `configure' script from the `configure.in'.
- echo 'Running autoconf (expect some "AC_TRY_RUN" warnings)'
+ echo Running autoconf
autoconf
- # Generate all `Makefile.in' templates in the directories listed in
- # `configure.in' and add any missing files that GNU Automake needs so
- # that the distribution and configuration processes will run properly.
- echo Running automake
- if test $bootstrap_release = no && test $enable_deps = no; then
- automake --add-missing --include-deps #--verbose
- else
+# # Generate all `Makefile.in' templates in the directories listed in
+# # `configure.in' and add any missing files that GNU Automake needs so
+# # that the distribution and configuration processes will run properly.
+# echo Running automake
+# if test $bootstrap_release = no && test $enable_deps = no; then
+# automake --add-missing --include-deps #--verbose
+# else
automake --add-missing #--verbose
- fi
-
- # Generate the man pages.
- # Only generate man pages if bootstrapping a release.
- if test $bootstrap_release = yes; then
- if test -f man/man3/ACE.3; then
- echo ACE man pages have already been generated.
- else
- echo 'Generating the ACE man pages (this may take several minutes)'
-
- (ACE_ROOT=.; \
- export ACE_ROOT; \
- ./bin/generate_doxygen.pl -is_release -exclude_tao > /dev/null)
- fi # test -f man/man3/ACE.3
- fi # test $bootstrap_release = yes
-
- # Regenerate the man pages lists in the man page Makefiles.
-
- if test -f man/man3/Makefile.am; then
- # Only insert man page lists if bootstrapping a release.
- if test $bootstrap_release = yes; then
- echo 'Inserting ACE man page lists into appropriate Makefile.am files.'
- ACE_MAN_PAGES=`(cd man/man3 && echo *.3)`
- else
- ACE_MAN_PAGES=
- fi
-
- (cd man/man3; \
- eval "sed -e 's/^man_MANS =.*$/man_MANS = $ACE_MAN_PAGES/' \
- Makefile.am > Makefile.am.new"; \
- mv Makefile.am.new Makefile.am)
- (cd man/html; \
- eval "sed -e 's/^html_DATA =.*$/html_DATA = $ACE_HTML_MAN_PAGES/' \
- Makefile.am > Makefile.am.new"; \
- mv Makefile.am.new Makefile.am)
- else
- test -f man/man3/Makefile.am || echo 'man/man3/Makefile.am is missing!'
- exit 1;
- fi # test -f man/man3/Makefile.am
+# fi
+
+# # Generate the man pages.
+# # Only generate man pages if bootstrapping a release.
+# if test $bootstrap_release = yes; then
+# if test -f man/man3/ACE.3; then
+# echo ACE man pages have already been generated.
+# else
+# echo 'Generating the ACE man pages (this may take several minutes)'
+
+# (ACE_ROOT=.; \
+# export ACE_ROOT; \
+# ./bin/generate_doxygen.pl -is_release -exclude_tao > /dev/null)
+# fi # test -f man/man3/ACE.3
+# fi # test $bootstrap_release = yes
+
+# # Regenerate the man pages lists in the man page Makefiles.
+
+# if test -f man/man3/Makefile.am; then
+# # Only insert man page lists if bootstrapping a release.
+# if test $bootstrap_release = yes; then
+# echo 'Inserting ACE man page lists into appropriate Makefile.am files.'
+# ACE_MAN_PAGES=`(cd man/man3 && echo *.3)`
+# else
+# ACE_MAN_PAGES=
+# fi
+
+# (cd man/man3; \
+# eval "sed -e 's/^man_MANS =.*$/man_MANS = $ACE_MAN_PAGES/' \
+# Makefile.am > Makefile.am.new"; \
+# mv Makefile.am.new Makefile.am)
+# (cd man/html; \
+# eval "sed -e 's/^html_DATA =.*$/html_DATA = $ACE_HTML_MAN_PAGES/' \
+# Makefile.am > Makefile.am.new"; \
+# mv Makefile.am.new Makefile.am)
+# else
+# test -f man/man3/Makefile.am || echo 'man/man3/Makefile.am is missing!'
+# exit 1;
+# fi # test -f man/man3/Makefile.am
# Provide some more "useful" information.
echo Done bootstrapping.